/********************************************************************/
/*	EASYFSEL.H														*/
/*																	*/
/*	Include-Datei zu EASYFSEL.C.									*/
/*																	*/
/*	Revision: 6														*/
/*	Datum   : 15.06.1992											*/
/*  Autor   : Andreas Papula										*/
/*																	*/
/*	Copyright 1992 by MAXON Computer GmbH.							*/
/*			abgespeckte Version fr In2Cat							*/
/********************************************************************/

/* -------------------------------------------------------------------- */
/*		Includes														*/
/* -------------------------------------------------------------------- */
#include <stdio.h>
#include <portab.h>
#include <tos.h>

/* -------------------------------------------------------------------- */
/*       Makros. & Konstanten                                           */
/* -------------------------------------------------------------------- */

typedef char	BOOLEAN;
#ifndef BOOLDEF
typedef char	BOOL;
#define BOOLDEF
#endif

/*	d_case_s enthlt die Info ob das aktuell mit Fsfirst untersuchte
	Verzeichnis case sensitiv ist (Rckgabe von Dpathconv(6))
	0 = Unterscheidung zwischen Gro-/Kleinschreibung.
	1 = keine Unterscheidung zwischen Gro-/Kleinschreibung (alle
	 Zeichen werden entweder in Gro-,oder in Kleinbuchstaben umgewandelt).
	2 = keine Unterscheidung zwischen Gro-/Kleinschreibung. Das Dateisystem
	 speichert aber Pfad- und Dateinamen mit den Originalwerten ab.
*/	
#define CASE_SENS	0				
#define CASE_CHG	1				
#define CASE_KEEP	2				


#define ERR_FS_KJAR	(-600)			/*kein Cookie Jar			*/
#define ERR_FS_COOK	(-601)			/*Fehler mit Cookies		*/
#define ERR_FS_SPEI	(-602)			/*zu Wenig Speicher			*/

#define TRUE 1
#define FALSE 0

/*------------------------------------------------------------------*/
/*	Funktionsprototypen.																						*/
/*------------------------------------------------------------------*/

void build_filename(BYTE *dest, BYTE *pfad, BYTE *dateiname,BOOLEAN noFinPf);
int cmp_maske(char *str,char *maske,int ign_case);
long Dxreaddir(int len,long dirhandle, char *buf,XATTR *xatttr,long *xret);
BOOLEAN get_cookie(long cookie_name, LONG *cookie_value);
int set_cookie(long cookie_name, LONG cookie_value);
void del_cookie(long cookie_name);
void trenn_pfad(char *pfad,char *name,const char *file);

/*----------------------- Ende der Datei. --------------------------*/